Skip site navigation (1)Skip section navigation (2)
Date:      Fri, 8 May 2015 15:16:02 +0530
From:      Avinash Sonawane <rootkea@gmail.com>
To:        freebsd-questions@freebsd.org
Subject:   Re: Can not make install freebsd-doc-en, zsh or xorg : configure error
Message-ID:  <CAJ9BSW90R=H8uY+UEDvgFEd9O0Qhp+0gNPwWjUHyBFfwYZLxGw@mail.gmail.com>
In-Reply-To: <CAJ9BSW_p-zJAfJGXc62KoRaGEqJZCxcSGNN_Mn2uEh3xVNSgGg@mail.gmail.com>
References:  <CAJ9BSW_p-zJAfJGXc62KoRaGEqJZCxcSGNN_Mn2uEh3xVNSgGg@mail.gmail.com>

Next in thread | Previous in thread | Raw E-Mail | Index | Archive | Help
On Fri, May 8, 2015 at 11:29 AM, Avinash Sonawane <rootkea@gmail.com> wrote:

> I have also mailed above details to bf@FreeBSD.org as instructed in
> all of those 3 configure error logs.

Got reply from the maintainer and according to the mail the maintainer
is going to make relevant changes in Makefile (may be like making
these 2 libraries mutually exclusive so that user shouldn't able to
select both of them ?)

>
> Looking at configure error message I tried  `# make config` in
> /usr/ports/misc/freebsd-doc-en to select any one of the libedit or
> readline but the it showed
<snip>

Approach was right. I had to do `make config` in /devel/pcre (the
offending port) instead of /misc/freebsd-doc-en and then deselct any
one of the libraries amongst libedit and readline.

#freebsd on freenode helped.


-- 
Avinash Sonawane (RootKea)
PICT, Pune
http://rootkea.wordpress.com



Want to link to this message? Use this URL: <http://docs.FreeBSD.org/cgi/mid.cgi?CAJ9BSW90R=H8uY+UEDvgFEd9O0Qhp+0gNPwWjUHyBFfwYZLxGw>